org.jboss.jca.core.api.workmanager

## Class DistributableContext

- java.lang.Object
- - org.jboss.jca.core.api.workmanager.DistributableContext

- All Implemented Interfaces:
    java.io.Serializable, javax.resource.spi.work.WorkContext

      public class DistributableContext
      extends java.lang.Object
      implements javax.resource.spi.work.WorkContext

  Properties for distribution of work instances
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DISTRIBUTE` The distribute key
    `static java.lang.String` | `WORKMANAGER` The workmanager key

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributableContext()` Constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()`
    `java.lang.Boolean` | `getDistribute()` Get the distribute value
    `java.lang.String` | `getName()`
    `java.lang.String` | `getWorkManager()` Get the work manager value
    `void` | `setDistribute(java.lang.Boolean v)` Set the distribute value
    `void` | `setWorkManager(java.lang.String v)` Set the work manager value

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DISTRIBUTE

          public static final java.lang.String DISTRIBUTE

      The distribute key
      See Also:
        Constant Field Values

    - #### WORKMANAGER

          public static final java.lang.String WORKMANAGER

      The workmanager key
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DistributableContext

          public DistributableContext()

      Constructor

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `javax.resource.spi.work.WorkContext`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `javax.resource.spi.work.WorkContext`

    - #### setDistribute

          public void setDistribute(java.lang.Boolean v)

      Set the distribute value
      Parameters:
        `v` - The value

    - #### getDistribute

          public java.lang.Boolean getDistribute()

      Get the distribute value
      Returns:
        The value

    - #### setWorkManager

          public void setWorkManager(java.lang.String v)

      Set the work manager value
      Parameters:
        `v` - The value

    - #### getWorkManager

          public java.lang.String getWorkManager()

      Get the work manager value
      Returns:
        The value

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)